#ifndef CYANEURAOU_H
#define CYANEURAOU_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * やねうら王エンジンをソケットサーバーとして起動
 * 
 * @param port ポート番号
 * @return 0: 成功, -1: ソケット作成失敗, -2: バインド失敗, -3: リッスン失敗, -4: 接続待機失敗
 */
int yaneuraou_ios_server_start(int port);

/**
 * ソケットサーバーを停止
 */
void yaneuraou_ios_server_stop(void);

#ifdef __cplusplus
}
#endif

#endif // CYANEURAOU_H
